% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Makefile.R
\name{default_Makefile_args}
\alias{default_Makefile_args}
\title{Return the default value of the
\code{args} argument to \code{\link{make}()}.}
\usage{
default_Makefile_args(jobs, verbose)
}
\arguments{
\item{jobs}{number of jobs}

\item{verbose}{logical, whether to be verbose}
}
\value{
\code{args} for \code{\link{system2}(command, args)}
}
\description{
For \code{make(..., parallelism = "Makefile")},
this function configures the default
arguments to \code{\link{system2}()}.
It is an internal function, and most users do not need to
worry about it.
}
\examples{
default_Makefile_args(jobs = 2, verbose = FALSE)
default_Makefile_args(jobs = 4, verbose = TRUE)
}
